<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEventVenueTables extends Migration
{
    public function up(): void
    {
        Schema::create('event_venue', function (Blueprint $table): void {
            $table->increments('id');
            $table->unsignedInteger('event_id');
            $table->unsignedInteger('venue_id');
            $table->timestamps();

            $table->foreign('event_id')->on('events')->references('id');
            $table->foreign('venue_id')->on('venues')->references('id');
        });
    }
}
